Changeset c631d1a


Ignore:
Timestamp:
Nov 25, 2009, 2:10:09 AM (14 years ago)
Author:
Jessica B. Hamrick <jhamrick@…>
Branches:
master, debian, mac, no-cups, nodebathena, web
Children:
af7788c
Parents:
331360d
git-author:
Jessica B. Hamrick <jhamrick@…> (11/25/09 02:10:09)
git-committer:
Jessica B. Hamrick <jhamrick@…> (11/25/09 02:10:09)
Message:

Changed 'sipbmp3' to 'gutenbach' by popular demand. Have not checked for errors, yet.

Files:
11 added
9 deleted
28 moved

Legend:

Unmodified
Added
Removed
  • gutenbach/debian/changelog

    r331360d rc631d1a  
    1 sipbmp3 (1.1) unstable; urgency=low
     1gutenbach (1.1) unstable; urgency=low
    22
    33  * Implemented debconf to retrieve printer and zephyr class names.
     
    77 -- Jessica Hamrick <jhamrick@mit.edu>  Wed, 16 Sep 2009 15:58:40 -0400
    88
    9 sipbmp3 (1.0) unstable; urgency=low
     9gutenbach (1.0) unstable; urgency=low
    1010
    1111  * Initial release.
  • gutenbach/debian/control.in

    r331360d rc631d1a  
    1 Source: sipbmp3
     1Source: gutenbach
    22Section: sound
    33Priority: extra
     
    66Standards-Version: 3.8.0
    77
    8 Package: sipbmp3
     8Package: gutenbach
    99Architecture: all
    1010Pre-Depends: debconf
  • gutenbach/debian/gutenbach.init

    rc061ab8 rc631d1a  
    11#!/bin/sh
    22### BEGIN INIT INFO
    3 # Provides:          sipbmp3
     3# Provides:          gutenbach
    44# Required-Start:    $remote_fs $syslog
    55# Required-Stop:     $remote_fs $syslog
    66# Default-Start:     2 3 4 5
    77# Default-Stop:      0 1 6
    8 # Short-Description: Starts lpd for sipbmp3.
    9 # Description:       Starts lpd for sipbmp3 and creates
    10 #  files for use by sipbmp3.
     8# Short-Description: Starts lpd for gutenbach.
     9# Description:       Starts lpd for gutenbach and creates
     10#  files for use by gutenbach.
    1111### END INIT INFO
    1212
    1313case "$1" in
    1414  start)
    15     mkdir /var/run/sipbmp3
    16     touch /var/run/sipbmp3/status
    17     chmod 0777 /var/run/sipbmp3/status
     15    mkdir /var/run/gutenbach
     16    touch /var/run/gutenbach/status
     17    chmod 0777 /var/run/gutenbach/status
    1818   
    1919    if [ -x /etc/init.d/lprng ]; then
     
    4141    fi
    4242
    43     rm -r /var/run/sipbmp3
     43    rm -r /var/run/gutenbach
    4444    if which invoke-rc.d >/dev/null 2>&1; then
    4545        invoke-rc.d "$script" stop
     
    5858    fi
    5959
    60     rm -r /var/run/sipbmp3
     60    rm -r /var/run/gutenbach
    6161    if which invoke-rc.d >/dev/null 2>&1; then
    6262        invoke-rc.d "$script" stop
     
    6565    fi
    6666
    67     mkdir /var/run/sipbmp3
    68     touch /var/run/sipbmp3/status
    69     chmod 0777 /var/run/sipbmp3/status
     67    mkdir /var/run/gutenbach
     68    touch /var/run/gutenbach/status
     69    chmod 0777 /var/run/gutenbach/status
    7070    if which invoke-rc.d >/dev/null 2>&1; then
    7171        invoke-rc.d "$script" start
     
    7979
    8080  *)
    81     echo "Usage: /etc/init.d/sipbmp3 {start|stop|restart}" >&2
     81    echo "Usage: /etc/init.d/gutenbach {start|stop|restart}" >&2
    8282    exit 1
    8383    ;;
  • gutenbach/debian/gutenbach.postinst

    r331360d rc631d1a  
    11#!/bin/sh
    2 # postinst script for sipbmp3
     2# postinst script for gutenbach
    33#
    44# see: dh_installdeb(1)
     
    2222case "$1" in
    2323    configure|reconfigure)
    24         chmod +x /usr/lib/sipbmp3/inst/create-filter-config
    25         chmod +x /usr/lib/sipbmp3/inst/edit-printcap
    26         chmod +x /usr/lib/sipbmp3/inst/edit-lpd.conf
    27         chmod +x /usr/lib/sipbmp3/inst/run-checkpc
    28         chmod +x /usr/lib/sipbmp3/inst/edit-lpd.perms
    29         /usr/lib/sipbmp3/inst/create-filter-config
    30         /usr/lib/sipbmp3/inst/edit-printcap
    31         /usr/lib/sipbmp3/inst/edit-lpd.conf
    32         /usr/lib/sipbmp3/inst/run-checkpc
    33         /usr/lib/sipbmp3/inst/edit-lpd.perms
     24        chmod +x /usr/lib/gutenbach/inst/create-filter-config
     25        chmod +x /usr/lib/gutenbach/inst/edit-printcap
     26        chmod +x /usr/lib/gutenbach/inst/edit-lpd.conf
     27        chmod +x /usr/lib/gutenbach/inst/run-checkpc
     28        chmod +x /usr/lib/gutenbach/inst/edit-lpd.perms
     29        /usr/lib/gutenbach/inst/create-filter-config
     30        /usr/lib/gutenbach/inst/edit-printcap
     31        /usr/lib/gutenbach/inst/edit-lpd.conf
     32        /usr/lib/gutenbach/inst/run-checkpc
     33        /usr/lib/gutenbach/inst/edit-lpd.perms
    3434
    35         if [ -e /usr/lib/sipbmp3/config/printer_name ]; then
    36             rm /usr/lib/sipbmp3/config/printer_name
     35        if [ -e /usr/lib/gutenbach/config/printer_name ]; then
     36            rm /usr/lib/gutenbach/config/printer_name
    3737        fi
    3838
    39         if [ -e /usr/lib/sipbmp3/config/zephyr_class ]; then
    40             rm /usr/lib/sipbmp3/config/zephyr_class
     39        if [ -e /usr/lib/gutenbach/config/zephyr_class ]; then
     40            rm /usr/lib/gutenbach/config/zephyr_class
    4141        fi
    4242
  • gutenbach/debian/gutenbach.postrm

    r331360d rc631d1a  
    11#!/bin/sh
    2 # postrm script for sipbmp3
     2# postrm script for gutenbach
    33#
    44# see: dh_installdeb(1)
     
    2323    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
    2424        if [ "$1" = "purge" ]; then
    25             if [ -d /usr/lib/sipbmp3 ]; then
    26                 echo "Removing /usr/lib/sipbmp3/..." >&2
    27                 rm -r /usr/lib/sipbmp3
     25            if [ -d /usr/lib/gutenbach ]; then
     26                echo "Removing /usr/lib/gutenbach/..." >&2
     27                rm -r /usr/lib/gutenbach
    2828            fi
    2929
  • gutenbach/debian/gutenbach.preinst

    r331360d rc631d1a  
    11#!/bin/sh
    2 # preinst script for sipbmp3
     2# preinst script for gutenbach
    33#
    44# see: dh_installdeb(1)
  • gutenbach/debian/gutenbach.prerm

    r331360d rc631d1a  
    11#!/bin/sh
    2 # prerm script for sipbmp3
     2# prerm script for gutenbach
    33#
    44# see: dh_installdeb(1)
     
    2020case "$1" in
    2121    remove|upgrade|deconfigure)
    22         if [ -e /usr/lib/sipbmp3/rm/revert_lpd.conf ]; then
    23             chmod +x /usr/lib/sipbmp3/rm/revert_lpd.conf
    24             /usr/lib/sipbmp3/rm/revert_lpd.conf
     22        if [ -e /usr/lib/gutenbach/rm/revert_lpd.conf ]; then
     23            chmod +x /usr/lib/gutenbach/rm/revert_lpd.conf
     24            /usr/lib/gutenbach/rm/revert_lpd.conf
    2525        fi
    2626
    27         if [ -e /usr/lib/sipbmp3/rm/revert_lpd.perms ]; then
    28             chmod +x /usr/lib/sipbmp3/rm/revert_lpd.perms
    29             /usr/lib/sipbmp3/rm/revert_lpd.perms
     27        if [ -e /usr/lib/gutenbach/rm/revert_lpd.perms ]; then
     28            chmod +x /usr/lib/gutenbach/rm/revert_lpd.perms
     29            /usr/lib/gutenbach/rm/revert_lpd.perms
    3030        fi
    3131
    32         if [ -e /usr/lib/sipbmp3/rm/revert_printcap ]; then
    33             chmod +x /usr/lib/sipbmp3/rm/revert_printcap
    34             /usr/lib/sipbmp3/rm/revert_printcap
     32        if [ -e /usr/lib/gutenbach/rm/revert_printcap ]; then
     33            chmod +x /usr/lib/gutenbach/rm/revert_printcap
     34            /usr/lib/gutenbach/rm/revert_printcap
    3535        fi
    3636    ;;
  • gutenbach/debian/gutenbach.templates

    r331360d rc631d1a  
    1 Template: sipbmp3/printername
     1Template: gutenbach/printername
    22Type: string
    3 Default: lprmp3
    4 _Description: Your sipbmp3 printer name:
    5  sipbmp3 creates a printer to which you can print music
    6  files.  sipbmp3 needs to know what you want to call the
     3_Description: Your gutenbach printer name:
     4 gutenbach creates a printer to which you can print music
     5 files.  gutenbach needs to know what you want to call the
    76 printer, and then after installation, you will be able
    87 to do:
    98 lpr -Pprintername@hostname your-music-file-.mp3
    109
    11 Template: sipbmp3/zephyrclass
     10Template: gutenbach/zephyrclass
    1211Type: string
    13 _Description: Your sipbmp3 zephyr class:
    14  When sipbmp3 plays a song, it sends a message to a zephyr
     12_Description: Your gutenbach zephyr class:
     13 When gutenbach plays a song, it sends a message to a zephyr
    1514 class with the song information (title, artist, album,
    1615 etc).  Please specify which class you would you these
  • gutenbach/debian/inst/edit-printcap

    r331360d rc631d1a  
    1111
    1212. /usr/share/debconf/confmodule
    13 db_get sipbmp3/printername
     13db_get gutenbach/printername
    1414
    1515printcap=$(cat /etc/printcap | grep ^`echo $RET` || true)
     
    2020    echo "  :cm=$RET music spooler" >> /etc/printcap
    2121    echo "  :lp=/dev/null" >> /etc/printcap
    22     echo "  :if=|/usr/lib/sipbmp3/sipbmp3-filter" >> /etc/printcap
     22    echo "  :if=|/usr/lib/gutenbach/gutenbach-filter" >> /etc/printcap
    2323    echo "  :sd=/var/spool/lpd/$RET" >> /etc/printcap
    2424    echo "  :ml=0:mx=0:sh:sf" >> /etc/printcap
  • gutenbach/debian/inst/run-checkpc

    r331360d rc631d1a  
    1515
    1616. /usr/share/debconf/confmodule
    17 db_get sipbmp3/printername
     17db_get gutenbach/printername
    1818/usr/sbin/checkpc -P"$RET" -f
  • gutenbach/debian/lib/gutenbach-filter

    r331360d rc631d1a  
    1 #!/usr/bin/perl
     1#!/usr/athena/bin/perl
    22# Play the data on STDIN as an audio file
    33#
    4 # $Id: sipbmp3-filter,v 1.26 2009/02/20 00:27:17 geofft Exp root $
    5 # $Source: /usr/local/bin/RCS/sipbmp3-filter,v $
     4# $Id: gutenbach-filter,v 1.26 2009/02/20 00:27:17 geofft Exp root $
     5# $Source: /usr/local/bin/RCS/gutenbach-filter,v $
    66#
    77# TODO
     
    2323use IPC::Open2;
    2424
    25 my $zephyr_class = "lprmp3";
    26 my $host = "hostname";
    27 my $queue = "printername";
     25my $zephyr_class = "gutenbach";
     26my $host = `hostname`;
     27my $queue = "gutenbach";
     28my $mixer = "PCM";
     29my $channel = "Front Left";
    2830
    2931# Configuration
    30 my $config_file = "/usr/lib/sipbmp3/config/sipbmp3-filter-config.pl";
     32my $config_file = "/usr/lib/gutenbach/config/gutenbach-filter-config.pl";
    3133if (-r $config_file) {
    3234    # Inline the configuration file
     
    4042
    4143close(STDERR);
    42 open(STDERR, ">>", "/tmp/sipbmp3.log") or warn "Couldn't open log: $!";
     44open(STDERR, ">>", "/tmp/gutenbach.log") or warn "Couldn't open log: $!";
    4345
    4446$ENV{"TERM"}="vt100";
     
    9597# Status messages at start of playback
    9698open(ZEPHYR, '|/usr/athena/bin/zwrite -d -n -c '. $zephyr_class .' -i ' .
    97   $queue.'@'.$host.' -s "SIPB LPR music spooler"');
     99  $queue.'@'.$host.' -s "Gutenbach Music Spooler"');
    98100
    99101# For the Now Playing remctl command
    100 open(STATUS, '>', '/var/run/sipbmp3/status') or die("Can't open status file /var/run/sipbmp3/status");
     102open(STATUS, '>', '/var/run/gutenbach/status') or die("Can't open status file /var/run/gutenbach/status");
    101103
    102104print(ZEPHYR "$opts{'n'}\@$opts{'H'} is playing:\n");
     
    106108sub clear_status {
    107109    # Possible race condition if the previous status is still going
    108     open(STA, '>', '/var/run/sipbmp3/status');
     110    open(STA, '>', '/var/run/gutenbach/status');
    109111    close(STA);
    110112    open(ZEPH, '|/usr/athena/bin/zwrite -d -n -c '. $zephyr_class .' -i '.
    111         $queue.'@'.$host.' -s "SIPB LPR music spooler"');
     113        $queue.'@'.$host.' -s "Gutenbach Music Spooler"');
    112114    print(ZEPH "Playback aborted.\n");
    113115    close(ZEPH);
     
    266268    # Prepare to write status:
    267269    open(ZEPHYR, '|/usr/athena/bin/zwrite -d -n -c '.$zephyr_class.' -i ' .
    268          $queue.'@'.$host.' -s "SIPB LPR music spooler"');
     270         $queue.'@'.$host.' -s "Gutenbach Music Spooler"');
    269271   
    270272    # fork for mpg123
     
    290292       
    291293        close(ZEPHYR);
    292         open(STATUS, '>', '/var/run/sipbmp3/status');
     294        open(STATUS, '>', '/var/run/gutenbach/status');
    293295        close(STATUS);
    294296    }
  • gutenbach/debian/rm/revert_printcap

    r331360d rc631d1a  
    33echo "Reverting changes to /etc/printcap..." >&2
    44. /usr/share/debconf/confmodule
    5 db_get sipbmp3/printername
     5db_get gutenbach/printername
    66
    77mv /etc/printcap /etc/printcap.bak
Note: See TracChangeset for help on using the changeset viewer.